#
# spec file for package libnss_usrfiles
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libnss_usrfiles
Version:        2.27.1
Release:        1.3
Summary:        NSS usrfiles plugin for glibc
License:        LGPL-2.1-only
Group:          System/Base
URL:            http://github.com/kubic-project/libnss_usrfiles
Source:         %{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  autoconf
BuildRequires:  libtool

%description
The NSS usrfiles plugin additionally looks in /usr/etc for passwd,
group, rpc, services, protocols and more.

%package -n libnss_usrfiles2
Summary:        NSS usrfiles plugin for glibc
Group:          System/Libraries

%description -n libnss_usrfiles2
The NSS usrfiles plugin additionally looks in /usr/etc for passwd,
group, rpc, services, protocols and more.

%prep
%autosetup

%build
%configure
make %{?_smp_mflags}

%install
%make_install
rm -v %{buildroot}%{_libdir}/%{name}.{a,la,so}

%post -n libnss_usrfiles2 -p /sbin/ldconfig

%postun -n libnss_usrfiles2 -p /sbin/ldconfig

%files -n libnss_usrfiles2
%license COPYING
%doc README.md
%{_libdir}/libnss_usrfiles.so.2*

%changelog
* Wed Mar 20 2024 Thorsten Kukuk <kukuk@suse.com>
- Update to version 2.27.1
  - Cleanup prototypes
* Wed Sep 29 2021 Thorsten Kukuk <kukuk@suse.com>
- Install into _libdir [bsc#1191070]
* Wed Aug 21 2019 kukuk@suse.de
- Remove post %%install section to make it generic useable
* Sat Feb  2 2019 kukuk@suse.de
- Update to version 2.27
  - Sync with glibc 2.27 source code
  - Add support for alias, ethers, protocols, services and rpc
- Add usrfiles to /etc/nsswitch.conf only on first installation,
  remove it during de-installation.
* Mon Mar 19 2018 kukuk@suse.de
- Use %%license instead of %%doc [bsc#1082318]
* Mon Jan  8 2018 kukuk@suse.de
- The default nsswitch.conf has changed again back to the old
  values [bsc#1074515]
* Thu Mar 30 2017 jengelh@inai.de
- RPM group correction
* Mon Mar 27 2017 kukuk@suse.de
- Add docu and /usr/etc as directory
- Adjust nsswitch.conf on openSUSE, too
* Wed Mar 22 2017 kukuk@suse.de
- Move Requires to correct sub-package
* Tue Mar 21 2017 kukuk@suse.de
- Filter out GLIBC_PRIVATE
* Mon Mar 20 2017 kukuk@suse.com
- Initial version
